> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/eng/acquiring/supplementary-methods/verification-of-transaction-status.md).

# Verification of transaction status

To get the transaction status, it is possible to query by project\_id, the status information is stored in the result.transaction\_status.code field.

## Request to receive the transaction status&#x20;

<mark style="color:blue;">`GET`</mark> `https://prapi.tarlanpayments.kz/transaction/api/v1/system/transaction/status`

#### Query Parameters

| Name                                                     | Type    | Description                                |
| -------------------------------------------------------- | ------- | ------------------------------------------ |
| project\_reference\_id<mark style="color:red;">\*</mark> | String  | Order number on the project side           |
| merchant\_id<mark style="color:red;">\*</mark>           | Integer | Merchant ID assigned by the payment system |
| project\_id<mark style="color:red;">\*</mark>            | Integer | Project ID assigned by the payment system  |
| type<mark style="color:red;">\*</mark>                   | String  | Type of transaction                        |

#### Headers

| Name                                            | Type   | Description                                        |
| ----------------------------------------------- | ------ | -------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer Auto-rotation hash (see Signature Creating) |

{% tabs %}
{% tab title="500: Internal Server Error Example of an error response" %}

```json
{
    "status": false,
    "status_code": 5103,
    "message": "transaction not found",
    "result": {}
}
```

{% endtab %}

{% tab title="200: OK Example of a successful response" %}

<pre class="language-json" data-overflow="wrap"><code class="lang-json">{
    "status": true,
    "message": "Success",
    "result": {
        "id": 99999,
        "amount": 10,
        "description": "test",
        "user_phone": "87757715130",
        "user_email": "test@inbox.ru",
        "card_token": "sdfasdf23",
        "masked_pan": "0000-00XXXXXX-0000",
        "bank_code": "0", <a data-footnote-ref href="#user-content-fn-1">Код ошибки</a>
        "bank_message": ""
        "additional_data": {
            "abc": "111",
            "lkk": "123"
        },
        "transaction_status": {
            "code": "success",
            "name": "Транзакция прошла успешно"
        },
        "bank_reference_id": "100885",
        "created_at": "2023-10-04T10:05:02.93843Z",
        "transaction_type": {
            "code": "out",
            "name": "Вывод"
        },
        "refunds" : [] // fields: amount, date.
    }
}
</code></pre>

{% endtab %}
{% endtabs %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/transaction/api/v1/system/transaction/status?merchant_id=1&project_id=42&project_reference_id=sanch92116&type=in' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer sign'
```

[^1]: [Код ошибки](broken://pages/NabOIjsudi6LZteJxIS7) передается в случае ошибки в транзакции


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tarlanpayments.kz/eng/acquiring/supplementary-methods/verification-of-transaction-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
